---
- name: Add Cloudflare chart repo
  kubernetes.core.helm_repository:
    name: cloudflare
    repo_url: "https://cloudflare.github.io/helm-charts"
    kubeconfig: "/etc/rancher/k3s/k3s.yaml"

- name: Deploy Cloudflare Controller
  kubernetes.core.helm:
    name: cloudflare
    chart_ref: cloudflare/cloudflare-tunnel
    release_namespace: devops
    create_namespace: true
    chart_version: 0.3.0
    kubeconfig: "/etc/rancher/k3s/k3s.yaml"
    values:
      image:
        tag: "{{ cloudflare.image.tag }}"
      cloudflare:
        account: "{{ cloudflare.account }}"
        tunnelName: "{{ cloudflare.tunnelName }}"
        tunnelId: "{{ cloudflare.tunnelId }}"
        secret: "{{ cloudflare.secret }}"
        ingress:
          - hostname: "{{ cloudflare.ingress[0].hostname }}"
            service: "{{ cloudflare.ingress[0].service }}"
            originRequest:
              originServerName: "{{ cloudflare.ingress[0].originRequest.originServerName }}"
              noTLSVerify: "{{ cloudflare.ingress[0].originRequest.noTLSVerify }}"
          - hostname: "{{ cloudflare.ingress[1].hostname }}"
            service: "{{ cloudflare.ingress[1].service }}"
            originRequest:
              originServerName: "{{ cloudflare.ingress[1].originRequest.originServerName }}"
              noTLSVerify: "{{ cloudflare.ingress[1].originRequest.noTLSVerify }}"
